OK
AJAX error!

Les forumsGrammalecte[Linux] Le formateur de texte ne se lance plus

[Linux] Le formateur de texte ne se lance plus

Bonjour

Sur Archlinux, j'utilisais libreoffice-fresh, je suis repassé pour cette raison sur libreoffice-still 6.2.8.2. mais le formateur de texte ne se lance toujours pas. Recenseur et Conjugeur fonctionnent.

pack Grammalecte 6.4.3. et Grammalecte 1.5.0.

A tout hasard, je signale que la distribution est passée récemment sur python 3.8 (identifiée par Grammalecte).
le 20 novembre 2019 à 00:11
Bonjour,

Ce n’est malheureusement pas une surprise, et je n’ai pas le temps d’installer une distro Linux à chaque fois que l’une d’elles casse quelque chose.
le 20 novembre 2019 à 07:50
Tant pis.

Le formateur met bien des insécables devant la double ponctuation !… mais il me semble qu'il néglige régulièrement les doubles ponctuations ?… et ;…, - au moins avec le Formateur que je lance depuis mon W7 virtualisé.

Bien que ces doubles ponctuations ne soient pas des modèles d'élégance, on les retrouve parfois dans certains livres anciens.
le 20 novembre 2019 à 11:10
J’ai ajouté le cas des points de suspension mentionnés.
Mais je ne vois pas ce qui bloque avec Python 3.8, s’il s’agit bien d’un blocage avec Python 3.8, ce qui n’est pas garanti. Avec Linux, difficile d’être sûr de quoi que ce soit.
le 20 novembre 2019 à 11:20
Ce n'est qu'un signalement mais, comme vous le mentionnez, il doit s'agir d'un problème spécifique au paquet utilisé.Il se produit parfois des regressions qui disparaissent au fil du temps. C'est l'inconvénient des distributions en publication continue.
le 21 novembre 2019 à 01:37
J’aurais dû y penser plus tôt :
Allez dans menu Grammalecte > À propos > Console
Puis lancez le formateur de texte et dites-moi si une erreur s’affiche.
le 01 décembre 2019 à 11:43
Bonsoir,

J'ai exactement le même problème sous Archlinux, libreoffice 6.2.8.2, python 3.8.0. Le formateur de texte ne fonctionne plus, il ne se passe rien lorsqu'on clique sur le bouton "Appliquer".

J'ai bien tenté de lancer la console comme vous l'indiquez, mais pas de réaction non plus lors du clic sur le bouton "Console'.

J'ai bien envie de dire qu'il s'agit d'un problème avec python, surtout que j'utilise la version still de libreoffice qui n'apporte a priori pas de rupture lors des mises à jour.

Y a-t-il quelque chose que je puisse faire pour aider au diagnostique ?

Merci pour votre engagement,
Jojo
le 01 décembre 2019 à 20:48
Bonjour.

Quand j'essaye de cliquer sur le bouton console, voici ce que j'ai dans le .xsession-errors :

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 27, in startConsole
subprocess.Popen(spPyInstallion + os.sep + "python") # Start Python interactive Shell
File "/usr/lib/python3.8/subprocess.py", line 854, in __init__
self._execute_child(args, executable, preexec_fn, close_fds,
File "/usr/lib/python3.8/subprocess.py", line 1702, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] Aucun fichier ou dossier de ce type: '/usr/lib/libreoffice/program/../program/python'
Traceback (most recent call last):
File "/usr/lib/libreoffice/share/extensions/grammalecte/pythonpath/helpers.py", line 19, in startConsole
from apso_utils import console
File "/usr/lib/libreoffice/program/uno.py", line 440, in _uno_import
raise uno_import_exc
File "/usr/lib/libreoffice/program/uno.py", line 362, in _uno_import
return _builtin_import(name, *optargs, **kwargs)
ImportError: No module named 'apso_utils' (or 'apso_utils.console' is unknown)



Ça sent un problème avec Python 3.8, non ?

Recompiler grammalecte en utilisant python 3.8 ne fait pas avancer le schmilblick.
le 01 décembre 2019 à 21:18
@Jojo: LibreOffice doit être fourni avec Python 3.5, pas Python 3.8, mais comme d’habitude certaines distributions décident de passer outre les dépendances requises.

@Tous: Pour la console, installez l’extension suivante (extensions.libreoffice.org…), redémarrez LO, lancez la console et réessayez.

Sous Linux, il n’y a visiblement pas de dossier: usr/lib/libreoffice/program/../program/python où est censé être la machine virtuelle Python. Du coup, la console Python ne peut pas se lancer.
Peut-être que l’extension APSO se débrouille mieux…
le 01 décembre 2019 à 22:00
Bonjour

Tout de suite après le passage à python 3.8., les greffons de Sigil ne se lançaient plus. Dans les Préférences de Sigil, il fallait changer le chemin de python3 qui pointait sur 3.7. Peut-être s'agit-il d'un problème du même ordre?

[roger@lenovo ~]$ python3
Python 3.8.0 (default, Oct 23 2019, 18:51:26)
[GCC 9.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>>

[roger@lenovo ~]$ which python3
/usr/sbin/python3

avec la console apso

APSO python console [LibreOffice]
3.8.0 (default, Oct 23 2019, 18:51:26)
[GCC 9.2.0]
Type "help", "copyright", "credits" or "license" for more information.
>>> Traceback (most recent call last):
File "/home/roger/.config/libreoffice/4/user/uno_packages/cache/uno_packages/lu86072k8g4yp.tmp_/Grammalecte-fr-v1.6.0(1).oxt/pythonpath/TextFormatter.py", line 421, in _replaceAll
nStartTime = time.clock()
AttributeError: module 'time' has no attribute 'clock'

puis ça s'arrête...

le 02 décembre 2019 à 03:11
Merci. Grâce à ça, j’ai pu corriger le problème.

Dans le fichier TextFormatter.py, il faut remplacer les deux occurrences de time.clock() par time.perf_counter().
le 02 décembre 2019 à 09:11
Superbe. Au moins, c'est un bug de corrigé. Je sens que je vais compiler l'extension depuis son code source, le temps qu'une nouvelle version sorte officiellement.

Je confirme que le bug est bien mort... Bon débarras et encore merci à tous !
le 02 décembre 2019 à 11:04
Bonjour

Comme disait le commissaire Bourrel : "Mais, bon sang, mais c'est bien sûr!". Bravo pour la solution cabalistique. Ça marche.
le 02 décembre 2019 à 11:40
Je vais tenter de récupérer les sources pour tester le correctif dès que j'aurais un peu de temps.
En tout cas, bravo et merci pour la réactivité !
le 02 décembre 2019 à 22:57

Notification par e-mail    0